:root {
    --bg-pink: #bd3856e5;
    --color-text-main: #000000;
    --color-text-active: #d82325;
    --color-text-gray: #a3a3a3;
    --color-text-white: #fff;
    --color-icon: #a73952;
    --color-border-pink: #ffd0e3;
    --bg-hover: linear-gradient(
        180deg,
        rgba(255, 255, 255, 0) 0%,
        rgba(225, 88, 89, 0.759615) 60%,
        #d82325 100%
    );
    --bg-gray-white: #fafafa;
    --border-white: #fff;
    --price-original: #a3a3a3;
    --price-sale: #272727;
}

body {
    background-color: #fffdf8;
}

.post_slider {
    width: 100%;
    position: relative;
    min-height: 500px;
}

.post_slider_wrapper {
    width: 100%;
    max-width: 1440px;
    margin: 0px auto;
}

.post_slider_item {
    width: 100%;
    max-width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: stretch;
}

.item_image {
    width: 100%;
    height: 100%;
    aspect-ratio: 720 / 500;
    background-color: #fafafa;
}

.item_image picture {
    width: 100%;
    height: 100%;
    display: block;
}

.item_image img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    content-visibility: auto;
}

.item_info {
    width: 100%;
    padding: 48px 92px;
    display: flex;
    flex-direction: column;
}

.author {
    display: flex;
    align-items: center;
    justify-content: start;
    gap: 4px;
    font-size: 14px;
    font-weight: 500;
    line-height: 1.5;
    text-transform: uppercase;
    color: var(--color-text-active);
}

.item_name {
    width: 100%;
    max-width: 100%;
    margin: 12px 0 24px 0;
    font-size: 42px;
    font-weight: 700;
    color: var(--color-text-active);
}

.item_desc {
    color: var(--price-sale);
    margin-bottom: 24px;
    line-height: 24px;
    font-weight: 400;
}

.title_category {
    font-size: 32px;
    font-weight: 600;
    color: var(--price-sale);
    text-transform: uppercase;
    margin-bottom: 40px;
}

.section_article_list {
    width: 100%;
    position: relative;
    padding-top: 80px;
}

.article_list_wrapper {
    width: 100%;
    padding-bottom: 80px;
}

.article_list_box {
    width: 100%;
}

.article_list {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

.article_item {
    width: 100%;
    height: 100%;
    background-color: #fff;
}

.article_item_img {
    width: 100%;
    display: block;
    overflow: hidden;
    border-top-left-radius: 12px;
    border-top-right-radius: 12px;
    aspect-ratio: 380 / 240;
    background-color: var(--bg-gray-white);
}

.article_item:hover .article_item_img img {
    transform: scale(1.05);
}

.article_item_img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    content-visibility: auto;
    transition: transform 0.3s cubic-bezier(0.25, 0.46, 0.45, 0.94);
    will-change: transform;
}

.article_info {
    width: 100%;
    padding: 24px;
}

.article_meta {
    display: flex;
    justify-content: start;
    gap: 4px;
    font-size: 14px;
    font-weight: 500;
    text-transform: uppercase;
    color: var(--color-text-active);
}

.article_title {
    display: block;
    width: 100%;
    text-decoration: none;
    color: var(--price-sale);
    text-transform: uppercase;
    font-weight: 500;
    font-size: 16px;
    margin: 4px 0 8px 0;
}

.article_desc {
    font-size: 13px;
    font-weight: 400;
    color: var(--price-sale);
    line-height: 1.5;
}

.article_action {
    width: 100%;
    display: flex;
    justify-content: end;
    margin-top: auto;
}

.btn_article {
    width: 200px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 8px;
    gap: 7px;
    background-color: #fff;
    color: var(--price-sale);
    font-weight: 500;
    font-size: 15px;
    padding: 12px 20px;
    text-decoration: none;
    transition: all 0.3s ease;
    text-transform: uppercase;
    cursor: pointer;
}

.btn_article > i {
    font-size: 20px;
    transition: all 0.3s ease;
}

.btn_article:hover {
    background-color: var(--color-text-white);
    color: var(--color-text-active);
}

.btn_article:hover i {
    transform: translateX(8px);
}

@media (max-width: 1199px) {
    .item_info {
        padding: 20px;
    }
    .post_slider {
        min-height: auto;
    }
    .item_name {
        font-size: 32px;
    }
    .section_article_list {
        padding-top: 30px;
    }
    .title_category {
        margin-bottom: 20px;
        font-size: 24px;
    }
    .article_list_wrapper {
        padding-bottom: 40px;
    }
}

@media (max-width: 981px) {
    .article_item_img {
        aspect-ratio: auto;
        border-top-left-radius: 6px;
        border-top-right-radius: 6px;
    }
    .post_slider_item {
        grid-template-columns: repeat(1, 1fr);
    }
    .item_image {
        aspect-ratio: auto;
        height: 350px;
    }
    .article_list {
        grid-template-columns: repeat(2, 1fr);
        gap: 16px;
    }
    .article_info {
        padding: 12px;
    }
    .btn_article {
        width: fit-content;
    }
    .article_title,
    .btn_article {
        font-size: 13px;
    }
    .item_info {
        padding: 8px;
    }
    .item_name {
        font-size: 24px;
    }
    .article_meta {
        font-size: 10px;
    }
}
